OpenJPEG 2.3.0

opj_malloc.h File Reference

Internal functions. More...

`#include <stddef.h>`

Go to the source code of this file.

## Functions
Exported functions
void * | opj_malloc (size_t size)
| Allocate an uninitialized memory block. More...
void * | opj_calloc (size_t numOfElements, size_t sizeOfElements)
| Allocate a memory block with elements initialized to 0. More...
void * | opj_aligned_malloc (size_t size)
| Allocate memory aligned to a 16 byte boundary. More...
void * | opj_aligned_realloc (void *ptr, size_t size)
void | opj_aligned_free (void *ptr)
void * | opj_aligned_32_malloc (size_t size)
| Allocate memory aligned to a 32 byte boundary. More...
void * | opj_aligned_32_realloc (void *ptr, size_t size)
void * | opj_realloc (void *m, size_t s)
| Reallocate memory blocks. More...
void | opj_free (void *m)
| Deallocates or frees a memory block. More...

## Detailed Description

Internal functions.

The functions in opj_malloc.h are internal utilities used for memory management.